public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/vim-core/
Date: Wed,  9 Feb 2022 11:39:08 +0000 (UTC)	[thread overview]
Message-ID: <1644406727.4256a785f91e40b308a4dcbb49b2adf236444fe2.sam@gentoo> (raw)

commit:     4256a785f91e40b308a4dcbb49b2adf236444fe2
Author:     Vaibhav Rustagi <vaibhavrustagi <AT> google <DOT> com>
AuthorDate: Tue Feb  8 19:21:28 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb  9 11:38:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4256a785

app-editors/vim-core: version bump to v8.2.4328

This is needed to resolve following CVEs:
  - CVE-2021-4187
  - CVE-2022-0128
  - CVE-2022-0156
  - CVE-2022-0158
  - CVE-2022-0261
  - CVE-2022-0318
  - CVE-2022-0319
  - CVE-2022-0392
  - CVE-2022-0368
  - CVE-2022-0393
  - CVE-2022-0361
  - CVE-2022-0359
  - CVE-2022-0413
  - CVE-2022-0408
  - CVE-2022-0407

Bug: https://bugs.gentoo.org/830994
Signed-off-by: Vaibhav Rustagi <vaibhavrustagi <AT> google.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/vim-core/Manifest                 |   1 +
 app-editors/vim-core/vim-core-8.2.4328.ebuild | 233 ++++++++++++++++++++++++++
 2 files changed, 234 insertions(+)

diff --git a/app-editors/vim-core/Manifest b/app-editors/vim-core/Manifest
index 15c2970a6124..30ebf269d61f 100644
--- a/app-editors/vim-core/Manifest
+++ b/app-editors/vim-core/Manifest
@@ -7,3 +7,4 @@ DIST vim-8.2.3669.tar.gz 15810783 BLAKE2B edac6dabfbeb11057c7b15830b30ec555a1094
 DIST vim-8.2.3741.tar.gz 15812097 BLAKE2B 5cd90d4c86774a63a020ac8f245005e3f7df030c1334f989862b17b70d7859d751f79dcaf98eb5216c23df6ce63f3406cb5cb3c643f9e8170987f4f705a49833 SHA512 19ee7cc27642253ad989e6e32ab96faa46b5e1feebba00cadd018af2de186358d686cfa5efbc8e5da00a14ceb42c226acfc81cb11cd87f34ec7ca901c98df814
 DIST vim-8.2.3950.tar.gz 15865929 BLAKE2B e713895f847194845c1a794fc796e97678b11686f51f9a33898d92cf1d3927c6d49cd24024b6c5cbbad82b45ab8293f6d4663f14e66a56cc8b361a5fabdbb0b0 SHA512 d9176f74a1b753fb9118362350b3da16f176c7bc5cc57b41dab1f470c1e80830e4a6f4851d5a090d6efdb272186bd8f6a8a5e08e5da5ae0474560cb32dd626be
 DIST vim-8.2.4285.tar.gz 15962343 BLAKE2B ba0971cbea3d3fe1761961f66a24281c06f0a509f1aac7c32e26f07b5d9d122b72da68646874b1f20879372d26e1b5a72f020913a31c1c0aa26f8e6bff074516 SHA512 760180b89c285b92f3ec40041c784e756a93d7c6d75386c1c737762b9041babfaa17fd0b9e47e3e4298b24b8f5c7300e6a1ab2addbbcda94e46c973a97d578ec
+DIST vim-8.2.4328.tar.gz 15983756 BLAKE2B 23d95d2ae6772fbd2a15a73dff5af75dcebf87af5a6a600d8a30284d32d1f83999111bfaa0e49c0295ae42a06f49075aeb00f8ae969eff251889b363b7445fda SHA512 f5e077891d22f468327e30808dba817efe74111c89948fbea5544be58333a8d3342290fa140939dd9c7d976575e63050e100daf947ba73373cc2268677020651

diff --git a/app-editors/vim-core/vim-core-8.2.4328.ebuild b/app-editors/vim-core/vim-core-8.2.4328.ebuild
new file mode 100644
index 000000000000..bfac57e4caa8
--- /dev/null
+++ b/app-editors/vim-core/vim-core-8.2.4328.ebuild
@@ -0,0 +1,233 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Please bump with app-editors/vim and app-editors/gvim
+
+VIM_VERSION="8.2"
+inherit estack vim-doc flag-o-matic bash-completion-r1 prefix desktop xdg-utils
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/vim/vim.git"
+	EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
+else
+	SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
+		https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+S="${WORKDIR}"/vim-${PV}
+
+DESCRIPTION="vim and gvim shared files"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="nls acl minimal"
+
+BDEPEND="sys-devel/autoconf"
+# Avoid icon file collision, bug #673880
+RDEPEND="!!<app-editors/gvim-8.1.0648"
+PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
+
+pkg_setup() {
+	# people with broken alphabets run into trouble. bug #82186.
+	unset LANG LC_ALL
+	export LC_COLLATE="C"
+
+	# Gnome sandbox silliness. bug #114475.
+	mkdir -p "${T}"/home || die "mkdir -p failed"
+	export HOME="${T}"/home
+}
+
+src_prepare() {
+	if [[ ${PV} != 9999* ]] ; then
+		# Gentoo patches to fix runtime issues, cross-compile errors, etc
+		eapply "${WORKDIR}"/patches
+	fi
+
+	# Fixup a script to use awk instead of nawk
+	sed -i \
+		-e '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+		"${S}"/runtime/tools/mve.awk || die "sed failed"
+
+	# See bug #77841. We remove this file after the tarball extraction.
+	rm -v "${S}"/runtime/tools/vimspell.sh || die "rm failed"
+
+	# Read vimrc and gvimrc from /etc/vim
+	echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
+	echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
+
+	# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+	# Hopefully this pattern won't break for a while at least.
+	# This fixes bug #29398 (27 Sep 2003 agriffis)
+	sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+		"${S}"/runtime/doc/syntax.txt \
+		"${S}"/runtime/doc/tagsrch.txt \
+		"${S}"/runtime/doc/usr_29.txt \
+		"${S}"/runtime/menu.vim \
+		"${S}"/src/configure.ac || die 'sed failed'
+
+	# Don't be fooled by /usr/include/libc.h.  When found, vim thinks
+	# this is NeXT, but it's actually just a file in dev-libs/9libs
+	# This fixes bug #43885 (20 Mar 2004 agriffis)
+	sed -i 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
+
+	# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+	# correctly. To avoid some really entertaining error messages about stuff
+	# which isn't even in the source file being invalid, we'll do some trickery
+	# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+	find "${S}" -name '*.c' | while read c; do
+	    echo >> "$c" || die "echo failed"
+	done
+
+	# Try to avoid sandbox problems. Bug #114475.
+	if [[ -d "${S}"/src/po ]]; then
+		sed -i -e \
+			'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+			"${S}"/src/po/Makefile || die "sed failed"
+	fi
+
+	cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+	# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
+	sed -i -e \
+		"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+		"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+	eapply_user
+}
+
+src_configure() {
+	local myconf
+
+	# Fix bug #37354: Disallow -funroll-all-loops on amd64
+	# Bug 57859 suggests that we want to do this for all archs
+	filter-flags -funroll-all-loops
+
+	# Fix bug #76331: -O3 causes problems, use -O2 instead. We'll do this for
+	# everyone since previous flag filtering bugs have turned out to affect
+	# multiple archs...
+	replace-flags -O3 -O2
+
+	# Fix bug #18245: Prevent "make" from the following chain:
+	# (1) Notice configure.ac is newer than auto/configure
+	# (2) Rebuild auto/configure
+	# (3) Notice auto/configure is newer than auto/config.mk
+	# (4) Run ./configure (with wrong args) to remake auto/config.mk
+	sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+
+	# Remove src/auto/configure file.
+	rm -v src/auto/configure || die "rm configure failed"
+
+	emake -j1 -C src autoconf
+
+	# This should fix a sandbox violation (see bug 24447). The hvc
+	# things are for ppc64, see bug 86433.
+	for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+		if [[ -e "${file}" ]]; then
+			addwrite ${file}
+		fi
+	done
+
+	# Let Portage do the stripping. Some people like that.
+	export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+	# Keep Gentoo Prefix env contained within the EPREFIX
+	use prefix && myconf+=" --without-local-dir"
+
+	econf \
+		--with-modified-by=Gentoo-${PVR} \
+		--enable-gui=no \
+		--without-x \
+		--disable-darwin \
+		--disable-perlinterp \
+		--disable-pythoninterp \
+		--disable-rubyinterp \
+		--disable-gpm \
+		--disable-selinux \
+		$(use_enable nls) \
+		$(use_enable acl) \
+		${myconf}
+}
+
+src_compile() {
+	emake -j1 -C src auto/osdef.h objects
+	emake tools
+}
+
+src_test() { :; }
+
+src_install() {
+	local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+	dodir /usr/{bin,share/{man/man1,vim}}
+	emake -C src \
+		installruntime \
+		installmanlinks \
+		installmacros \
+		installtutor \
+		installtutorbin \
+		installtools \
+		install-languages \
+		DESTDIR="${D}" \
+		BINDIR="${EPREFIX}"/usr/bin \
+		MANDIR="${EPREFIX}"/usr/share/man \
+		DATADIR="${EPREFIX}"/usr/share
+
+	keepdir ${vimfiles}/keymap
+
+	# default vimrc is installed by vim-core since it applies to
+	# both vim and gvim
+	insinto /etc/vim/
+	newins "${FILESDIR}"/vimrc-r5 vimrc
+	eprefixify "${ED}"/etc/vim/vimrc
+
+	if use minimal; then
+		# To save space, install only a subset of the files.
+		# Helps minimalize the livecd, bug 65144.
+		eshopts_push -s extglob
+
+		rm -rv "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent} || die "rm failed"
+		rm -rv "${ED}${vimfiles}"/{macros,print,tools,tutor} || die "rm failed"
+		rm -v "${ED}"/usr/bin/vimtutor || die "rm failed"
+
+		# Delete defaults.vim to avoid conflicts with one from vim[minimal]
+		rm -v "${ED}${vimfiles}"/defaults.vim || die "rm failed"
+
+		local keep_colors="default"
+		ignore=$(rm -fr "${ED}${vimfiles}"/colors/!(${keep_colors}).vim )
+
+		local keep_syntax="conf|crontab|fstab|inittab|resolv|sshdconfig"
+		# tinkering with the next line might make bad things happen ...
+		keep_syntax="${keep_syntax}|syntax|nosyntax|synload"
+		ignore=$(rm -fr "${ED}${vimfiles}"/syntax/!(${keep_syntax}).vim )
+
+		# Delete skip_defaults_vim config not supported by vim[minimal]
+		sed -i '/skip_defaults_vim/d' "${ED}"/etc/vim/vimrc || die "sed failed"
+
+		eshopts_pop
+	fi
+
+	newbashcomp "${FILESDIR}"/xxd-completion xxd
+
+	# install gvim icon since both vim/gvim desktop files reference it
+	doicon -s scalable "${FILESDIR}"/gvim.svg
+}
+
+pkg_postinst() {
+	# update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# update icon cache
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	# Update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# update icon cache
+	xdg_icon_cache_update
+}


             reply	other threads:[~2022-02-09 11:39 UTC|newest]

Thread overview: 316+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-09 11:39 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-07 16:33 [gentoo-commits] repo/gentoo:master commit in: app-editors/vim-core/ Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2025-02-07 16:33 Arthur Zamarin
2024-12-01 12:42 Sam James
2024-12-01 12:42 Sam James
2024-08-30 14:59 Ionen Wolkens
2024-06-26 14:42 Ionen Wolkens
2024-06-26  5:45 Joonas Niilola
2024-06-26  5:45 Joonas Niilola
2024-06-07  8:43 Arthur Zamarin
2024-06-07  6:55 Arthur Zamarin
2024-06-07  5:14 Arthur Zamarin
2024-06-06 17:28 Arthur Zamarin
2024-06-06 17:09 Arthur Zamarin
2024-05-19 15:34 Mike Gilbert
2024-04-26 21:01 Sam James
2024-02-17 21:43 John Helmert III
2024-01-30  4:05 Ionen Wolkens
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-15 16:50 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-02 14:53 Arthur Zamarin
2023-12-02 14:53 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-11-22 17:44 Sam James
2023-09-03 11:01 Joonas Niilola
2023-09-03 11:01 Joonas Niilola
2023-08-23  2:23 Mike Gilbert
2023-08-21 16:21 Mike Gilbert
2023-08-08  3:56 Sam James
2023-08-07  5:43 Sam James
2023-07-16  6:56 Joonas Niilola
2023-07-15  8:20 Arthur Zamarin
2023-06-21  7:04 Joonas Niilola
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-09  3:40 John Helmert III
2023-05-01  1:35 Sam James
2023-05-01  1:35 Sam James
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-21  6:29 Joonas Niilola
2023-04-21  6:29 Joonas Niilola
2023-04-14  1:06 Sam James
2023-04-04 12:45 Joonas Niilola
2023-03-30 18:35 Arthur Zamarin
2023-03-22  1:20 Sam James
2023-03-04  7:18 Sam James
2023-02-28 16:28 Ben Kohler
2023-02-28 16:28 Ben Kohler
2023-02-28 14:10 Joonas Niilola
2023-02-26 19:21 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-18  4:33 Sam James
2023-02-13  2:09 Sam James
2023-02-10  4:27 Sam James
2023-01-08  4:55 Sam James
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-05  4:37 Sam James
2022-12-05  4:37 Sam James
2022-12-05  4:37 Sam James
2022-11-03  6:35 Sam James
2022-10-26 21:42 Mike Gilbert
2022-10-04 13:36 Sam James
2022-10-04 13:36 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-08-23  5:24 Sam James
2022-08-17  7:09 Agostino Sarubbo
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:51 Arthur Zamarin
2022-08-15  7:40 Agostino Sarubbo
2022-07-29 14:24 Mike Gilbert
2022-07-27 22:06 Sam James
2022-07-21 15:59 Matt Turner
2022-07-21 15:59 Matt Turner
2022-07-19 21:16 Mike Gilbert
2022-07-19 21:16 Mike Gilbert
2022-07-07 20:12 Matt Turner
2022-07-07 19:05 Matt Turner
2022-06-26 19:37 Matt Turner
2022-06-26 19:17 Arthur Zamarin
2022-06-09 21:17 Mike Gilbert
2022-06-08  7:10 Sam James
2022-06-08  7:09 Sam James
2022-06-03 11:21 Agostino Sarubbo
2022-06-03 11:20 Agostino Sarubbo
2022-06-03 11:19 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:17 Agostino Sarubbo
2022-06-03 11:16 Agostino Sarubbo
2022-05-19 13:36 Agostino Sarubbo
2022-05-19  9:29 Agostino Sarubbo
2022-05-05  9:51 WANG Xuerui
2022-05-05  7:10 WANG Xuerui
2022-03-21 23:42 Sam James
2022-03-20 18:18 Arthur Zamarin
2022-03-06  8:54 Agostino Sarubbo
2022-03-03 12:49 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:33 Agostino Sarubbo
2022-03-02 20:05 Patrice Clement
2022-03-02 19:54 John Helmert III
2022-03-02  9:06 Agostino Sarubbo
2022-03-02  6:52 Agostino Sarubbo
2022-03-02  6:51 Agostino Sarubbo
2022-03-02  6:50 Agostino Sarubbo
2022-03-02  6:49 Agostino Sarubbo
2022-02-18 17:56 Sam James
2022-02-18  4:57 Sam James
2022-02-18  3:07 Sam James
2022-02-09 11:29 Sam James
2022-01-15  7:28 Arthur Zamarin
2022-01-09  1:15 Sam James
2022-01-09  1:14 Sam James
2021-12-31 17:37 Arthur Zamarin
2021-12-22  0:48 Sam James
2021-12-19 22:09 Agostino Sarubbo
2021-12-19 19:21 Jakov Smolić
2021-12-17 12:00 Sam James
2021-12-17 10:41 Arthur Zamarin
2021-12-17  7:33 Arthur Zamarin
2021-12-16  2:34 Sam James
2021-12-08  6:23 Sam James
2021-12-08  6:21 Sam James
2021-12-04 19:29 Arthur Zamarin
2021-12-01 17:07 Sam James
2021-11-25  0:12 Sam James
2021-11-24 16:47 Sam James
2021-11-23 17:02 Sam James
2021-11-23 10:48 Sam James
2021-11-22 10:01 Sam James
2021-11-20 10:24 Arthur Zamarin
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-13  3:09 Sam James
2021-11-06  1:33 Sam James
2021-11-03 19:24 Sam James
2021-11-02 14:52 Sam James
2021-10-29 18:30 Sam James
2021-10-29 13:02 Sam James
2021-10-29 13:02 Sam James
2021-10-29 12:32 Sam James
2021-10-03 21:18 Sam James
2021-10-03 21:18 Sam James
2021-09-23  1:07 Matt Turner
2021-03-26  8:50 Conrad Kostecki
2021-01-24  3:52 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-06 13:03 Fabian Groffen
2020-12-27 13:40 Fabian Groffen
2020-09-16 17:48 Sergei Trofimovich
2020-09-12  2:06 Sam James
2020-09-12  2:05 Sam James
2020-05-24 11:04 Mikle Kolyada
2020-04-25 15:14 Mikle Kolyada
2020-04-04 10:13 Mikle Kolyada
2020-04-04  8:11 Mikle Kolyada
2020-04-03  9:10 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  8:58 Mikle Kolyada
2020-04-03  8:53 Mikle Kolyada
2020-04-02 17:55 Sergei Trofimovich
2020-04-02  6:22 Georgy Yakovlev
2020-03-07  6:51 Mikle Kolyada
2020-02-05  5:14 Tim Harder
2020-01-13  1:45 Tim Harder
2020-01-02  9:37 Mikle Kolyada
2019-12-29 18:17 Mikle Kolyada
2019-08-14 23:59 Tim Harder
2019-07-29  8:13 Tim Harder
2019-07-28 10:42 Mikle Kolyada
2019-07-21 22:33 Aaron Bauman
2019-06-17  9:56 Mikle Kolyada
2019-06-15  9:24 Sergei Trofimovich
2019-06-14 15:01 Agostino Sarubbo
2019-06-14  9:26 Agostino Sarubbo
2019-06-14  9:18 Agostino Sarubbo
2019-06-13 20:02 Sergei Trofimovich
2019-06-13 15:10 Agostino Sarubbo
2019-06-13 14:16 Agostino Sarubbo
2019-06-13 12:21 Tobias Klausmann
2019-06-07  7:38 Tim Harder
2019-05-10  8:42 Tim Harder
2019-05-05 13:17 Mikle Kolyada
2019-04-12  6:16 Tim Harder
2019-04-10 22:03 Sergei Trofimovich
2019-04-08 18:04 Aaron Bauman
2019-04-06 15:31 Mikle Kolyada
2019-04-03  7:10 Mikle Kolyada
2019-04-02  9:48 Mikle Kolyada
2019-03-31 20:30 Sergei Trofimovich
2019-03-30 10:46 Agostino Sarubbo
2018-12-28 22:25 Tim Harder
2018-09-20  5:31 Tim Harder
2018-09-20  5:31 Tim Harder
2018-06-06  2:31 Tim Harder
2018-06-03 18:32 Mikle Kolyada
2018-04-12  5:45 Tim Harder
2018-04-12  5:45 Tim Harder
2018-03-25 22:38 Tim Harder
2018-03-11  5:11 Matt Turner
2018-03-03 14:17 Mart Raudsepp
2018-01-20 18:04 Tobias Klausmann
2018-01-07 20:53 Markus Meier
2018-01-05 10:58 Tim Harder
2017-12-27 11:50 Sergei Trofimovich
2017-12-26 10:45 Sergei Trofimovich
2017-12-25 18:29 Sergei Trofimovich
2017-12-23 19:53 Sergei Trofimovich
2017-12-20 13:40 Thomas Deutschmann
2017-12-20 13:09 Agostino Sarubbo
2017-11-15  3:57 Tim Harder
2017-11-15  3:57 Tim Harder
2017-10-24 21:37 Patrice Clement
2017-10-24 21:37 Patrice Clement
2017-10-23  8:14 Patrice Clement
2017-10-22 13:51 Patrice Clement
2017-10-13 21:39 Tim Harder
2017-09-05  6:39 Tim Harder
2017-08-31 13:46 Tim Harder
2017-08-22  3:58 Tim Harder
2017-08-14  5:39 Tim Harder
2017-06-06 17:42 Patrice Clement
2017-03-05  1:01 Jeroen Roovers
2017-03-04 14:02 Agostino Sarubbo
2017-03-04 13:46 Agostino Sarubbo
2017-03-03 19:14 Tobias Klausmann
2017-03-03  9:37 Michael Weber
2017-03-03  9:02 Agostino Sarubbo
2017-02-28  0:57 Tim Harder
2017-02-22 10:06 Michael Weber
2017-01-29 14:38 Fabian Groffen
2017-01-09 14:17 Jeroen Roovers
2016-12-17 15:31 Markus Meier
2016-12-02 14:21 Tobias Klausmann
2016-12-01 12:53 Agostino Sarubbo
2016-12-01 12:50 Agostino Sarubbo
2016-12-01  0:24 Tim Harder
2016-11-18 21:40 Mike Frysinger
2016-09-22  0:14 Jason Donenfeld
2016-09-15 15:33 Tim Harder
2016-09-15 15:33 Tim Harder
2016-09-15  4:33 Tim Harder
2016-07-26  4:23 Tim Harder
2016-05-08  2:53 Tim Harder
2016-05-08  2:48 Tim Harder
2016-03-17  2:10 Tim Harder
2016-02-29 19:44 Stephen Klimaszewski
2016-02-17  8:15 Ole Reifschneider
2016-02-01  5:05 Tim Harder
2016-02-01  5:05 Tim Harder
2016-01-25 21:02 Tim Harder
2016-01-14  1:39 Tim Harder
2015-09-06  6:23 Jeroen Roovers
2015-09-01 16:04 Markus Meier
2015-08-30 12:51 Tobias Klausmann
2015-08-27 10:13 Mikle Kolyada
2015-08-27  9:58 Agostino Sarubbo
2015-08-25  3:25 Tim Harder
2015-08-25  3:25 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1644406727.4256a785f91e40b308a4dcbb49b2adf236444fe2.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox